#ifndef __WIFICTLD_DATA_H
#define __WIFICTLD_DATA_H

#include "include.h"

extern struct avl_tree clients_by_addr;


struct wifi_client {
	struct avl_node avl;
	u8 addr[ETH_ALEN];
	time_t time;
	uint16_t try_probe;
	uint16_t try_auth;
	bool connected;
	bool authed;
	uint16_t freq_highest;
	uint16_t signal_lowfreq;
	uint16_t signal_highfreq;
};

#endif
